<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('handicaps', function (Blueprint $table) {
            $table->id();
            $table->boolean('status')->default(true);

            $table->unsignedBigInteger('personne_id');
            $table->unsignedBigInteger('type_handicap_id');
            $table->timestamps();
            $table->foreign('personne_id')->references('id')->on('personnes')->cascadeOnDelete();
            $table->foreign('type_handicap_id')->references('id')->on('type_handicaps')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('handicaps');
    }
};
